GDB (xrefs)

Functions
compile.h File Reference

Go to the source code of this file.

## Functions
void | eval_compile_command (struct command_line *cmd, const char *cmd_string, enum compile_i_scope_types scope, void *scope_data)
void | compile_dwarf_expr_to_c (string_file &stream, const char *result_name, struct symbol *sym, CORE_ADDR pc, struct gdbarch *arch, unsigned char *registers_used, unsigned int addr_size, const gdb_byte *op_ptr, const gdb_byte *op_end, struct dwarf2_per_cu_data *per_cu)
void | compile_dwarf_bounds_to_c (string_file &stream, const char *result_name, const struct dynamic_prop *prop, struct symbol *sym, CORE_ADDR pc, struct gdbarch *arch, unsigned char *registers_used, unsigned int addr_size, const gdb_byte *op_ptr, const gdb_byte *op_end, struct dwarf2_per_cu_data *per_cu)
void | compile_print_value (struct value *val, void *data_voidp)

## Function Documentation

## ◆ compile_dwarf_bounds_to_c()

void compile_dwarf_bounds_to_c | ( | string_file & | stream,
|  | const char * | result_name,
|  | const struct dynamic_prop * | prop,
|  | struct symbol * | sym,
|  | CORE_ADDR | pc,
|  | struct gdbarch * | arch,
|  | unsigned char * | registers_used,
|  | unsigned int | addr_size,
|  | const gdb_byte * | op_ptr,
|  | const gdb_byte * | op_end,
|  | struct dwarf2_per_cu_data * | per_cu
| ) |  |

Definition at line 1133 of file compile-loc2c.c.

References symbol::arch, and do_compile_dwarf_expr_to_c().

Referenced by dwarf2_compile_property_to_c().

## ◆ compile_dwarf_expr_to_c()

void compile_dwarf_expr_to_c | ( | string_file & | stream,
|  | const char * | result_name,
|  | struct symbol * | sym,
|  | CORE_ADDR | pc,
|  | struct gdbarch * | arch,
|  | unsigned char * | registers_used,
|  | unsigned int | addr_size,
|  | const gdb_byte * | op_ptr,
|  | const gdb_byte * | op_end,
|  | struct dwarf2_per_cu_data * | per_cu
| ) |  |

Definition at line 1118 of file compile-loc2c.c.

References symbol::arch, do_compile_dwarf_expr_to_c(), and GCC_UINTPTR.

Referenced by locexpr_generate_c_location(), and loclist_generate_c_location().

## ◆ compile_print_value()

void compile_print_value | ( | struct value * | val,
|  | void * | data_voidp
| ) |  |

Definition at line 161 of file compile.c.

References print_value().

Referenced by do_module_cleanup().

## ◆ eval_compile_command()

void eval_compile_command | ( | struct command_line * | cmd,
|  | const char * | cmd_string,
|  | enum compile_i_scope_types | scope,
|  | void * | scope_data
| ) |  |

Definition at line 622 of file compile.c.

References COMPILE_I_PRINT_ADDRESS_SCOPE, COMPILE_I_PRINT_VALUE_SCOPE, compile_object_load(), compile_object_run(), compile_to_object(), eval_compile_command(), gdb_assert, compile_file_names::object_file(), compile_module::scope, compile_module::scope_data, and compile_file_names::source_file().

Referenced by compile_code_command(), compile_file_command(), compile_print_command(), eval_compile_command(), and execute_control_command_1().